@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap');

* {
    margin: 0 !important;
    padding: 0 !important;
    font-family: 'Montserrat', sans-serif !important;
}

/*global content styles*/
#contentGlobal {
    display: flex;
}

/*-----------------End global content styles-------------------*/

/*exterior header styles*/
#headerExt {
    display: flex;
    width: 100%;
    height: 8vh;
    justify-content: space-between;
    align-items: center;
    background-color: antiquewhite;
    padding: 10px 50px !important;
    background: rgb(0, 0, 0);
    background: -moz-linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(27, 80, 131, 1) 25%, rgba(19, 132, 76, 1) 83%);
    background: -webkit-linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(27, 80, 131, 1) 25%, rgba(19, 132, 76, 1) 83%);
    background: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(27, 80, 131, 1) 25%, rgba(19, 132, 76, 1) 83%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#000000", endColorstr="#13844c", GradientType=1);
}

#headerExt picture>img {
    width: 100px;
}

.contentNameHE {
    text-align: end;
}

.contentNameHE p:nth-child(1),
.contentNameOFFC p:nth-child(1) {
    font-weight: bold;
    font-size: 20px;
}

.contentNameHE p:nth-child(2),
.contentNameOFFC p:nth-child(2) {
    font-size: 13px;
}

.contentIconHE>i,
.contentIconOFFC>i {
    font-size: 40px;
}

/*Notificaciones*/
.contentProfile {
    position: relative;
    display: flex;
    align-items: center;
    gap: 50px;
    cursor: pointer;
}

.contentIconNotify img {
    width: 28px;
}

.countNumNotify {
    position: absolute;
    background-color: red;
    color: white;
    border-radius: 50px;
    font-size: 11px;
    padding: 1px 5px !important;
    left: 18px;
    top: 18px;
}

/*BOOTSTRAP LEEMENT*/
.btnProfile {
    display: flex !important;
    gap: 10px;
    background-color: transparent !important;
    border-color: transparent !important;
    color: white !important;
}

#offcanvasRight {
    margin-top: 8vh !important;
    height: 370px !important;
    padding: 20px !important;
    box-shadow: 0px 3px 6px #00000029;
    border-radius: 12px 0px 0px 12px;
}

#offcanvasRightLabel {
    display: flex;
    gap: 10px;
    color: #1B5083 !important;

}

#offcanvasRightLabel .btn-close {
    color: white !important;
}

.contentNameOFFC {
    text-align: start;
}

#offcanvasRight .offcanvas-body {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.contentInfoProfile {
    color: #606060;
    font-size: 13px;
    padding-left: 50px !important;
}

.contentActionProfile {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.actions {
    cursor: pointer;
}

.actions picture>img {
    width: 25px !important;
}

.actions span {
    font-size: 13px !important;
    color: #205F93;
}

/*-----------------End exterior header styles-------------------*/

/*sidebar styles*/
#sidebar {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 14rem !important;
    min-height: 92vh !important;
    background: #FEFEFE 0% 0% no-repeat padding-box;
    box-shadow: 0px 3px 6px #00000029;
    padding: 30px 0px 20px 0 !important;
}

.itemSidebar {
    width: 100%;
    color: #1B5083;
    padding: 10px 20px !important;
}

.btn {
    display: flex !important;
    justify-content: space-between;
}

.itemSidebar .btn {
    color: #1B5083;
    font-weight: bold;
}

#sidebar .btn[aria-expanded="true"] {
    color: #13824C !important;
}

.btn[aria-expanded="true"] .btn i {
    color: #13824C !important;
}

.itemSidebar .btn i {
    font-size: 20px;
}

.collapse .card-body {
    border: none;
}

.contentOptionSidebar {
    padding: 10px 0 0 20px !important;
}

.contentOptionSidebar ul {
    display: flex;
    flex-direction: column;
    list-style: none;
    font-size: 13px;
    gap: 10px;
    border-left: 2px solid #13824C;
    color: #13824C;
}

.contentOptionSidebar ul li {
    padding: 5px !important;
    padding-left: 10px !important;
    cursor: pointer;
}

.contentOptionSidebar ul li:hover {
    background-color: #54A37629;
}

.contentSideLogo picture {
    display: flex;
    justify-content: center;
    align-items: center;
}

.contentSideLogo img {
    width: 70%;
}

/*responsive menú*/
.contentToggle,
#offcanvasMenu {
    display: none;
}

/*---------End Sidebar----------------*/

/*header top*/
#internalContent {
    width: 100%;
    background-color: #F7F7F7;
    min-height: 89vh !important;
}

.topBarContent {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: white;
    padding: 10px 20px !important;
}

/*.contentP p{
    font-size: 15px;
    color: #707070;
}*/
.contentSelect,
.contentSearch,
.contentBtn {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 10px !important;
}

.contentForm {
    display: flex;
    gap: 10px;
}

.contentSelect label,
.contentSearch label {
    font-size: 13px;
    color: #707070;
}

/*.contentSelect select,*/
.contentSearch input {
    width: 150px;
    border: none;
    border-bottom: 1px solid #1B5083;
    color: #606060;
}

.contentSearch i {
    font-size: 15px;
    color: white;
}

.contentSearch button {
    padding: 0 4px !important;
    border-radius: 50px !important;
    border: none;
    background-color: #13824c;
}

.contentBtn button {
    border: none;
    background-color: #13824c;
    color: white;
    font-weight: bold;
    padding: 5px 10px !important;
    border-radius: 10px !important;
    box-shadow: 5px 5px 15px #00000029;
    transition: ease all 0.3s;
}

/*modal create user style*/
#staticBackdrop .modal-content {
    padding: 50px !important;
}

.modal.show .modal-dialog {
    margin: 0 auto !important;
}

#staticBackdrop .modal-body {
    padding: 20px !important;
}

#staticBackdrop .modal-body form {
    display: flex !important;
    flex-direction: column !important;
    gap: 10px;
}

#staticBackdrop2 .modal-content {
    padding: 50px !important;
}

.modal.show .modal-dialog {
    margin: 0 auto !important;
}

#staticBackdrop2 .modal-body {
    padding: 20px !important;
}

#staticBackdrop2 .modal-body form {
    display: flex !important;
    flex-direction: column !important;
    gap: 10px;
}

.modal-body form label {
    font-size: 13px;
    columns: #707070;
}

.modal-body form input,
.modal-body form select {
    border: none;
    border-bottom: 2px solid #2D8CCA30;
}

.modalCreateUserTitle {
    font-size: 25px;
    text-align: center;
    color: #1b5083;
    font-weight: bolder;
    margin-bottom: 35px !important;
}

.modal-footer {
    justify-content: center !important;
    border: none !important;
}

.btnModalCreteUser {
    font-size: 15px;
    font-weight: bold;
    border: none;
    border-radius: 10px;
    background-color: #13824C;
    padding: 5px 30px !important;
    color: white;
    box-shadow: 5px 5px 15px #00000029;
}

.contentBtn button:hover,
.contentSearch button:hover {
    transform: scale(1.1);
}

/*modal edit user style*/
/*top bar content*/
.topBarContent {
    background-color: white;
    padding: 20px !important;
}

.topBarContent p {
    font-size: 14px;
    color: #707070;
}

/*content*/
.contentFormEditUs {
    margin: 20px !important;
    background-color: white;
    border-radius: 20px;
    padding: 20px !important;
}

/*form style*/
.contentFormEditUs form {
    display: flex;
    padding: 20px !important;
}

/*label form style*/
.contentFormEditUs form label {
    font-size: 13px;
    color: #707070;
}

/*input form style*/
.contentFormEditUs form input,
form select {
    border: none;
    border-bottom: 1px solid #205F93;
}

.line1,
.line2 {
    display: flex;
    flex-direction: column;
    width: 50%;
    padding: 50px 50px 0px 50px !important;
}

.contentBtnEditUs {
    display: flex;
    justify-content: flex-end;
    padding-right: 70px !important;
}

/*btn "guardar" style*/
.contentBtnEditUs a {
    background: #13824C 0% 0% no-repeat padding-box;
    box-shadow: 5px 5px 15px #00000029;
    border-radius: 10px;
    color: white;
    text-decoration: none;
    padding: 5px 20px !important;
    transition: ease all 0.3s !important;
}

.contentBtnEditUs a:hover {
    transform: scale(1.1);
}

/*sweet correcion de estilos*/
.swal-modal {
    margin: 20px auto !important;
    padding: 20px !important;
}

.swal-icon {
    margin: 20px auto !important;
}

.swal-title {
    color: #205F93;
    font-size: 25px;
    padding: 13px 16px !important;
    margin-bottom: 0 !important;
}

.swal-text {
    font-size: 15px;
    color: #707070;
    text-align: center;
}

.swal-footer {
    display: flex;
    justify-content: center;
    margin-top: 13px !important;
    padding: 13px 16px !important;
}

.swal-button-container {
    margin: 5px !important;
}

.swal-button {
    padding: 10px 24px !important;
    margin: 0 !important;
    transition: ease all 0.3s;
}

.swal-button--confirm {
    background-color: #13824C;
}

.swal-button--confirm:hover {
    transform: scale(1.1);
    background-color: #13824C !important;
}

.swal-button--cancel:hover {
    transform: scale(1.1);
}

/*----------End Header top--------------*/
/*contenido interior*/
.contentTable {
    padding: 20px !important;
}

table {
    background-color: transparent !important;
    border-spacing: 0px 10px !important;
    border-collapse: separate !important;
    border: none !important;
    width: 100%;

}

.userInactive {
    background-color: #EAEAEA !important;
}

.subtitle {
    color: #1B5083 !important;
    font-weight: 600
}

#tableUsers tr th {
    background-color: transparent;
    color: #1B5083;
    border: none !important;
}

#tableUsers tbody tr {
    background-color: white;
    border-radius: 20px !important;
}

#tableUsers tbody tr td {
    font-size: 13px;
    padding: 20px !important;
    border: none !important;
    color: #606060;
    vertical-align: middle;
}

#tableUsers tbody tr td:first-child {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

#tableUsers tbody tr td:last-child {
    border-bottom-right-radius: 10px;
    border-top-right-radius: 10px;
}

.contentSwitch span i {
    font-size: 30px;
    cursor: pointer;
    border-left: 2px solid #3f3f3f29;
    border-right: 2px solid #3f3f3f29;
    padding: 5px 10px !important;
}

/*.switchOn{
    display: block;
}*/
.switchOn i {
    color: #13824C;
}

/*.switchOff{
    display: none;
}*/
.regComplete {
    color: #54A376 !important;
    font-weight: 600;
}

.regIncomplete {
    color: #E25555 !important;
    font-weight: 600;
}

.contenAccions {
    position: relative;
    /*width: 100px !important;*/
}

.contenAccions img {
    width: 25px;
    cursor: pointer;
    transition: ease all 0.3s;
}

.contenAccions img:hover {
    transform: scale(1.1);
}

.tooltip {
    display: block;
    position: absolute;
    background-color: #2D8CCA19;
    font-size: 8px;
    padding: 5px !important;
    border-radius: 10px;
}

.tooltip .tooltip-inner {
    background-color: var(--bs-custom-color);
    color: black;
}

/*states for user tooltips*/
.toolM {
    bottom: 15px;
    left: 0px;
}

.toolE {
    top: 15px;
    right: 63px;
}

.toolD {
    bottom: 15px;
    right: 30px;
}

.mesaggeIcon:hover .tooltips {
    background-color: red !important;
}

/*style for pagination*/
.paginate_button {
    background-color: #1B5083;
    color: white;
    margin: 3px !important;
    padding: 5px 10px !important;
    text-decoration: none;
    border-radius: 10px;
    cursor: pointer;
}

.dataTables_info,
#tableUsers_length,
#tableUsers_filter {
    display: none;
}

/*menú responsive styles*/
.contentToggle a {
    padding: 5px 10px !important;
    background-color: white !important;
    border: none;
}

.contentToggle a i {
    font-size: 20px !important;
    color: #1B5083 !important;
}

.contentCardsMobile {
    display: none;
}

.text-decoration-none {
    text-decoration: none;
    color: #13824C;

}

a.btn.menu {
    text-align: start;
}


/*-----------End menú responsive styles-----------------*/
/*responsible tablet*/
@media(max-width:1067px) {

    /*external header styles*/
    #headerExt picture>img {
        width: 80px;
    }

    /*table desktop*/
    .contentTable {
        display: none;
    }

    /*grid mobile*/
    .contentCardsMobile {
        display: block;
    }

    .contentNameHE {
        display: none;
    }

    .contentToggle {
        display: block;
    }

    #offcanvasMenu {
        display: block;
        padding: 20px !important;
    }

    /*info profile*/
    #offcanvasRight {
        height: 100% !important;
    }

    #offcanvasRight .offcanvas-body {
        justify-content: flex-start !important;
        gap: 20px
    }

    /*---------End external styles---------*/
    /*sidebar styles*/
    #sidebar {
        display: none;
    }

    /*--------------End Sidebar--------------*/
    /*Internal content*/
    .contentSelect,
    .contentSearch {
        display: none;
    }

    /*tabs*/
    .nav-tabs .nav-link {
        padding: 10px !important;
        color: #606060;
    }

    .nav-tabs .nav-item.show .nav-link,
    .nav-tabs .nav-link.active {
        color: #13824C !important;
        font-weight: bold;
    }

    .contentCards {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 10px;
        padding: 10px !important
    }

    .collapseButton {
        background-color: white !important;
        border: none !important;
        padding: 10px 20px !important;
        color: #606060 !important;
        text-align: start;
        box-shadow: 0 6px 16px #00000029 !important;
    }

    .collapse .show {
        margin-top: -25px !important;
    }

    .contentNameCard p {
        text-align: start !important;
    }

    .collapseButton i {
        font-size: 30px;
    }

    .contentCollapseBody {
        display: flex;
        padding: 10px !important;
    }

    .contentInfoCollapse {
        display: flex;
        flex-direction: column;
        gap: 10px;
        width: 80%;
    }

    .contentInfoCollapse p {
        font-size: 13px;
    }

    .contentIconsCollapse {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
        width: 20%;
        border-left: 1px solid #606060;
    }

    .contentIconsCollapse picture img {
        width: 30px;
    }

    /* modal user @media*/
    .contentFormEditUs {
        padding: 10px !important;
    }

    .contentFormEditUs form {
        flex-direction: column;
        padding: 10px !important;
    }

    .line1,
    .line2 {
        width: 100%;
        padding: 20px 20px 0px 20px !important;
    }

    .contentBtnEditUs {
        justify-content: center;
        padding: 10px !important;
    }

    .div_pagina {
        display: none !important;
    }

}

/*estilos link pagina actual*/
.contentLogoAction {
    display: flex;
    align-items: flex-end;
    gap: 40px;
}

.contentLogoActionExterno {
    display: flex;
    align-items: flex-end;

}

.contentLogoActionExterno a {
    margin-left: 60px !important;
    margin-right: 10px !important;

}

.contentLabelBack {
    color: white;
    cursor: pointer;
}

.div_pagina {
    gap: 10px;
    display: flex;
}

.nav_pagina {
    color: white;
    font-size: 1.1em;
}

.back_pagina {
    cursor: pointer;
    color: white;
}

.crearUs .modal-header {
    border: none;
    justify-content: flex-end !important;
}

.contentIconCrUs img {
    width: 15px !important;
}


/* modal cambiar contraseña*/
.contentModalRCI {
    display: flex;
    justify-content: center;
    height: 100vh;
}

/* .modal.show .modal-dialog{
        width: 500px !important;
    } */
#modalRCI .modal-content {
    padding: 10px !important;
    margin-top: 30px !important;
}

#modalRCI .modal-header {
    justify-content: flex-end !important;
    border-bottom: none !important;
}

#modalRCI .contentInfo {
    text-align: center;
}

#modalRCI .contentInfo p,
.contentSingleInput label {
    color: #606060;
    font-size: 14px;
}

#modalRCI .modal-title {
    color: #1B5083;
    font-weight: bold;
}

.contentInputs {
    display: flex;
    flex-direction: column;
    gap: 40px !important;
    margin-top: 30px !important;
    padding: 0 50px !important;
}

.contentSingleInput {
    display: flex;
    position: relative;
    flex-direction: column;
}

.wrap-input {
    display: inline;
    position: relative;
    min-height: 40px;
    width: 100%;
}

.wrap-input input {
    width: inherit;
    height: 40px;
    outline: none;
    border: none;
    border-bottom: 1px solid #707070;
    /* padding: 10px 30px 10px 30px; */
    transition: ease all 0.2s;
    width: 100%;
}

/*estilos icon item*/
.icon-eye,
.icon-eyeR {
    position: absolute;
    font-size: 20px;
    right: 10px;
    top: 50%;
    color: #898080;
    transform: translateY(-50%);
    cursor: pointer;
}

.icon-eye2,
.icon-eye2R {
    position: absolute;
    font-size: 20px;
    right: 10px;
    top: 50%;
    color: #898080;
    transform: translateY(-50%);
    cursor: pointer;
    display: none;
}

.icon-eye:hover {
    color: steelblue;
}

.bi-question-circle-fill {
    color: #1B5083;
    cursor: pointer;
}

/*Tooltip*/
.contentTooltip {
    display: none;
    flex-direction: column;
    position: absolute;
    width: 230px;
    height: 200px;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 6px 10px #00000029;
    color: #606060;
    font-size: 12px;
    padding: 15px 10px !important;
    z-index: 3;
    right: -20px;
    line-height: 1em;
}

.contentTooltip p:nth-child(1),
.contentTooltip span {
    font-weight: bold;
}

.bi-check-circle-fill {
    color: #13824C;
}

.bi-x-circle-fill {
    color: #E25555;
}

/*barra*/
.contentbar progress {
    appearance: none;
    -webkit-appearance: none;
    width: 100%;
    height: 3px !important;
    margin-top: 10px !important;
}

progress::-webkit-progress-bar {
    background-color: #60606029;
    border-radius: 20px;
}

progress[value="33"]::-webkit-progress-value {
    background: #E25555;
    border-radius: 20px;
}

progress[value="66"]::-webkit-progress-value {
    background-color: #EB8B08 !important;
}

progress[value="100"]::-webkit-progress-value {
    background-color: #13824C !important;
}

.statusPass {
    color: #E25555;
    /* font-weight: bold; */
}

.contentbar p {
    font-size: 13px;
    margin-top: -5px !important;
}

.confirmStatus {
    font-size: 12px;
    color: #606060;
    display: none;
    color: #E25555;
    /* font-weight: bold; */
}

/*modal footer*/
.modal-footer {
    display: flex;
    justify-content: center !important;
    padding: 40px 0 !important;
    border-top: none !important;
}

.modal-footer #btn-cambiarContraseña {
    font-size: 14px;
    padding: 5px 10px !important;
    background-color: #EAEAEA;
    color: #959595;
    border: none;
    transition: ease all 0.3s;
    pointer-events: none;
}

.modal-footer button:hover {
    background-color: #13824C;
    border: none;
    transform: scale(1.1);
}

.modal-footer button img {
    width: 20px;
    margin-right: 5px !important;
}


@media(max-width:768px) {
    .contentInputs {
        padding: 0 20px !important;
    }

    .dataTables_paginate {
        margin-bottom: 20px !important;
    }
}


@media(max-width:300px) {

    .dataTables_paginate {
        display: flex;
        flex-direction: column;
    }

    .dataTables_paginate a {
        margin: auto !important;
        margin-right: auto !important;
        padding-top: 10px;

    }

    .dataTables_paginate span {
        margin: 3px !important;
        padding-left: 10px !important;
        padding-right: 10px !important;
    }

    .paginate_button {
        max-width: 100px !important;


    }
}

.campo-error {
    border: 1px solid red !important;
}

.filepond--label {
    color: #205F93;
    font-weight: bold;
}

.swal-icon--warning__dot {
    margin-left: -4px !important;
}

.select2-selection--single {

    border-style: none !important;
    border-bottom: 1px solid #1B5083 !important;
}

#tableMB,
#tableMB_inactivos {
    border-spacing: 0px 10px !important;
    border-collapse: separate !important;

}

#tableMB_wrapper,
#tableMB_inactivos_wrapper {
    width: 100% !important;
}

#tableMB_filter,
#tableMB_length,
#tableMB_inactivos_filter,
#tableMB_inactivos_length {
    display: none !important;
}

.register {
    margin-top: 10px !important;
}



.contentBtn a:hover,
.contentSearch a:hover {
    transform: scale(1.1);
}

#loading {
    z-index: 1062 !important;
}

.modal-backdrop.loading-backdrop {
    z-index: 1061 !important;
}

.svg-icon {
    fill: #1B5083;
    width: 25px;
}